- entry_type: violation_sequence
  metadata:
    format_version: '2.0'
    uuid: 49bd2d78-be34-47e1-93a4-1c778c25e6fd
    creation_time: '2024-08-01T14:56:43+02:00'
    producer:
      name: Automizer
      version: 0.2.4-wip.fs.yaml-violation-witnesses-bf1304b-m
    task:
      input_files:
      - /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
      input_file_hashes:
        /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: 32bit
      language: C
  content:
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 24
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 25
          column: 50
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 13
          column: 3
          function: assume_abort_if_not
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 25
          column: 50
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 32
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 34
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 32
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 34
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 32
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 34
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 32
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 41
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 43
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 41
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 43
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 41
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 43
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 41
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 50
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 52
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 50
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 52
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 50
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 52
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 50
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 59
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 61
          column: 35
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 15
          column: 36
          function: __VERIFIER_assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 61
          column: 35
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 59
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 61
          column: 35
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 15
          column: 36
          function: __VERIFIER_assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 61
          column: 35
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 59
          column: 2
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 61
          column: 35
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 15
          column: 36
          function: __VERIFIER_assert
        action: follow
  - segment:
    - waypoint:
        type: target
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/array-fpi/ifcompf.c
          file_hash: c976745169334e455668d4a00daf76f0c92e9088cf6a3d705adecbf8b82b6740
          line: 15
          column: 58
          function: __VERIFIER_assert
        action: follow
